org.jboss.resteasy.core.interception

## Class ContainerResponseFilterRegistry

- java.lang.Object
- - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry<ContainerResponseFilter>
  - - org.jboss.resteasy.core.interception.ContainerResponseFilterRegistry

-     public class ContainerResponseFilterRegistry
      extends JaxrsInterceptorRegistry<ContainerResponseFilter>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `JaxrsInterceptorRegistry.AbstractInterceptorFactory, JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory, JaxrsInterceptorRegistry.AscendingPrecedenceComparator, JaxrsInterceptorRegistry.DescendingPrecedenceComparator, JaxrsInterceptorRegistry.InterceptorFactory, JaxrsInterceptorRegistry.LegacyPerMethodInterceptorFactory, JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory, JaxrsInterceptorRegistry.Match, JaxrsInterceptorRegistry.OnDemandInterceptorFactory, JaxrsInterceptorRegistry.SingletonInterceptorFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LegacyPrecedence` | `precedence`

    - ### Fields inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `cachedPreMatch, interceptors, intf, listeners, providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContainerResponseFilterRegistry(ResteasyProviderFactory providerFactory, LegacyPrecedence precedence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerResponseFilterRegistry` | `clone(ResteasyProviderFactory factory)`
    `void` | `registerClass(Class<? extends ContainerResponseFilter> declaring)`
    `void` | `registerClass(Class<? extends ContainerResponseFilter> declaring, int priority)`
    `void` | `registerLegacy(Class<? extends PostProcessInterceptor> decl)`
    `void` | `registerLegacy(PostProcessInterceptor interceptor)`
    `void` | `registerSingleton(ContainerResponseFilter interceptor)`
    `void` | `registerSingleton(ContainerResponseFilter interceptor, int priority)`
    `protected void` | `sort(List<JaxrsInterceptorRegistry.Match> matches)`

    - ### Methods inherited from class org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry

      `getIntf, getListeners, getNameBound, getPriority, postMatch, preMatch, register`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### precedence

          protected LegacyPrecedence precedence

  - ### Constructor Detail

    - #### ContainerResponseFilterRegistry

          public ContainerResponseFilterRegistry(ResteasyProviderFactory providerFactory,
                                         LegacyPrecedence precedence)

  - ### Method Detail

    - #### sort

          protected void sort(List<JaxrsInterceptorRegistry.Match> matches)

      Overrides:
        `sort` in class `JaxrsInterceptorRegistry<ContainerResponseFilter>`

    - #### clone

          public ContainerResponseFilterRegistry clone(ResteasyProviderFactory factory)

      Overrides:
        `clone` in class `JaxrsInterceptorRegistry<ContainerResponseFilter>`

    - #### registerClass

          public void registerClass(Class<? extends ContainerResponseFilter> declaring)

      Overrides:
        `registerClass` in class `JaxrsInterceptorRegistry<ContainerResponseFilter>`

    - #### registerClass

          public void registerClass(Class<? extends ContainerResponseFilter> declaring,
                           int priority)

      Overrides:
        `registerClass` in class `JaxrsInterceptorRegistry<ContainerResponseFilter>`

    - #### registerSingleton

          public void registerSingleton(ContainerResponseFilter interceptor)

      Overrides:
        `registerSingleton` in class `JaxrsInterceptorRegistry<ContainerResponseFilter>`

    - #### registerSingleton

          public void registerSingleton(ContainerResponseFilter interceptor,
                               int priority)

      Overrides:
        `registerSingleton` in class `JaxrsInterceptorRegistry<ContainerResponseFilter>`

    - #### registerLegacy

          public void registerLegacy(Class<? extends PostProcessInterceptor> decl)

    - #### registerLegacy

          public void registerLegacy(PostProcessInterceptor interceptor)

Copyright © 2014. All Rights Reserved.